<#ibiztemplate>
TARGET=PSSYSTEM
</#ibiztemplate>
<#assign hasCodeList=false>
<#if sys.getAllPSCodeLists()??>
    <#list sys.getAllPSCodeLists() as codeList>
        <#if codeList.getCodeListType()=='STATIC'>
            <#assign hasCodeList=true>
            <#break >
        </#if>
    </#list>
</#if>
<#if hasCodeList>
package ${pub.getPKGCodeName()}.util.dict;

import lombok.Getter;

public class StaticDict {

    <#if sys.getAllPSCodeLists()??>
        <#list sys.getAllPSCodeLists() as codeList>
            <#if codeList.getCodeListType()=='STATIC'>
            <#assign codeListName=codeList.codeName>
    /**
     * 代码表[${codeList.name}]
     */
    @Getter
    public enum ${codeListName} {
            <#if codeList.getAllPSCodeItems()??>
                <#list codeList.getAllPSCodeItems() as codeItem>
                <#assign codeItemValue=codeItem.getValue()>
                <#assign codeItemText=codeItem.getText()>
        VALUE_${codeItemValue}("${codeItemValue}","${codeItemText}")<#if codeItem_has_next>,<#else>;</#if>
                </#list>
            </#if>

        private String value;
        private String text;
        private String valueSeparator="<#if codeList.getValueSeparator()??>${codeList.getValueSeparator()}</#if>";
        private String textSeparator="<#if codeList.getTextSeparator()??>${codeList.getTextSeparator()}</#if>";
        private String emptyText="<#if codeList.getEmptyText()?? && codeList.getEmptyText()!='未定义'>${codeList.getEmptyText()}</#if>";

        ${codeListName}(String value , String text) {
            this.value=value;
            this.text = text;
        }
    }
            </#if>

        </#list>
    </#if>
}
</#if>